Loading...
Searching...
No Matches
tiny_vector< T >

## Detailed Description

template<class T>
class rheolef::tiny_vector< T >

Definition at line 39 of file tiny_matvec.h.

## Public Types

typedef std::vector< int >::size_type | size_type

## Public Member Functions

| tiny_vector (size_type n=0)
| tiny_vector (size_type n, const T &value)
size_type | size () const
void | resize (size_type n)
const T & | operator() (size_type i) const
const T & | operator[] (size_type i) const
T & | operator() (size_type i)
T & | operator[] (size_type i)
void | set_origin (size_type i)
size_type | get_origin () const
void | fill (const T &val)
void | reset ()

## Protected Attributes

T | t_ [tiny_size_max]
size_type | size_
size_type | i0_

## Member Typedef Documentation

## size_type

template<class T >

typedef std::vector<int>::size_type size_type

Definition at line 41 of file tiny_matvec.h.

## Constructor & Destructor Documentation

## tiny_vector() [1/2]

template<class T >

tiny_vector | ( | size_type | n = `0` | ) |

Definition at line 91 of file tiny_matvec.h.

## tiny_vector() [2/2]

template<class T >

tiny_vector | ( | size_type | n,
|  | const T & | value
| ) |  |

Definition at line 101 of file tiny_matvec.h.

## Member Function Documentation

## size()

template<class T >

size_type size | ( |  | ) | const

Definition at line 45 of file tiny_matvec.h.

## resize()

template<class T >

void resize | ( | size_type | n | ) |

Definition at line 110 of file tiny_matvec.h.

## operator()() [1/2]

template<class T >

const T & operator() | ( | size_type | i | ) | const

Definition at line 47 of file tiny_matvec.h.

## operator[]() [1/2]

template<class T >

const T & operator[] | ( | size_type | i | ) | const

Definition at line 48 of file tiny_matvec.h.

## operator()() [2/2]

template<class T >

T & operator() | ( | size_type | i | ) |

Definition at line 49 of file tiny_matvec.h.

## operator[]() [2/2]

template<class T >

T & operator[] | ( | size_type | i | ) |

Definition at line 50 of file tiny_matvec.h.

## set_origin()

template<class T >

void set_origin | ( | size_type | i | ) |

Definition at line 51 of file tiny_matvec.h.

## get_origin()

template<class T >

size_type get_origin | ( |  | ) | const

Definition at line 52 of file tiny_matvec.h.

## fill()

template<class T >

void fill | ( | const T & | val | ) |

Definition at line 53 of file tiny_matvec.h.

## reset()

template<class T >

void reset | ( |  | ) |

Definition at line 55 of file tiny_matvec.h.

## Member Data Documentation

## t_

template<class T >

T t_[tiny_size_max]

protected

Definition at line 57 of file tiny_matvec.h.

## size_

template<class T >

size_type size_

protected

Definition at line 58 of file tiny_matvec.h.

## i0_

template<class T >

size_type i0_

protected

Definition at line 59 of file tiny_matvec.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/geo_element/tiny_matvec.h